Subject: Re: [PATCH v1 01/11] selftests: forwarding: custom_multipath_hash.sh: add cleanup for SIGTERM sent by timeout

From: Ido Schimmel <[email-masked]>
Date: Wed, 26 Jul 2023 19:57:09 +0300

On Wed, Jul 26, 2023 at 03:22:54PM +0300, Ido Schimmel wrote:
> Regarding the MDB tests and tc_flower_l2_miss.sh, I suspect you might
> have some daemon in user space that sends IGMP queries and therefore
> messes with the tests. Please run the following commands in a separate
> terminal before running tc_flower_l2_miss.sh:

Ignore that. I think it's a problem I already fixed in the past:
https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=8bcfb4ae4d970b9a9724ddfbac26c387934e0e94

Ubuntu still uses an old version of libnet:
https://launchpad.net/ubuntu/+source/libnet

Pushed the fixes for tc_flower_l2_miss.sh, bridge_mdb.sh and
bridge_mdb_max.sh to the same branch.